#Makefile for image functions of psLib
#
INCLUDES = \
	-I$(top_srcdir)/src/astronomy \
	-I$(top_srcdir)/src/collections \
	-I$(top_srcdir)/src/dataManip \
	-I$(top_srcdir)/src/dataIO \
	-I$(top_srcdir)/src/sysUtils \
	$(all_includes)

noinst_LTLIBRARIES = libpslibimage.la

libpslibimage_la_SOURCES = \
	psImage.c \
	psImagePixelExtract.c \
	psImageStructManip.c \
	psImageGeomManip.c \
	psImagePixelManip.c \
	psImageStats.c \
	psImageFFT.c \
	psImageConvolve.c

BUILT_SOURCES = psImageErrors.h
EXTRA_DIST = psImageErrors.dat psImageErrors.h image.i

psImageErrors.h: psImageErrors.dat
	$(top_srcdir)/src/psParseErrorCodes --data=$? $@

pslibincludedir = $(includedir)
pslibinclude_HEADERS = \
	psImage.h \
	psImagePixelExtract.h \
	psImageStructManip.h \
	psImageGeomManip.h \
	psImagePixelManip.h \
	psImageStats.h \
	psImageFFT.h \
	psImageConvolve.h
